Jump to content

Question about Ubuntu install process


jody
 Share

Go to solution Solved by jody,

Recommended Posts

I have followed the suggestions given here, also started with adding one folder only but somehow it seems to be stuck at 56% in the logs I do see some errors but not sure if they relate to the error, put the log here http://paste.ubuntu.com/9147494/ anyone any clues?

mb3 Version 3.0.5395.0

installed on ubuntu precise 

my first post pertaining this topic can be found here:

http://mediabrowser.tv/community/index.php?/topic/13410-xbmc-mysql-library-and-mb3xbmb3c-library-sharing/

Link to comment
Share on other sites

update to the latest version, then re-assess

would love too, but not sure where to find it, when i check on main page and go to download-->linux-->ubuntu, it links this file:

https://github.com/MediaBrowser/MediaBrowser.Resources/raw/master/Releases/Server/mediabrowser.deb

which I installed, where can i clone or svn the latest working version for ubuntu?

thank you in advance  :D

Link to comment
Share on other sites

hurricanehrndz

would love too, but not sure where to find it, when i check on main page and go to download-->linux-->ubuntu, it links this file:

https://github.com/MediaBrowser/MediaBrowser.Resources/raw/master/Releases/Server/mediabrowser.deb

which I installed, where can i clone or svn the latest working version for ubuntu?

thank you in advance  :D

You are using the wrong link, resources is the old distribution channel.

 

https://github.com/MediaBrowser/MediaBrowser.Releases/tree/master/Server

 

Also feel free to use the following ppas:

 

You can add them to your sources list:

https://launchpad.net/~apps-z/+archive/ubuntu/mediabrowser-daily

 

or 

 

https://launchpad.net/~apps-z/+archive/ubuntu/mediabrowser

 

You can also just download the debs directly from the launchpad website. I would go with github and version 

mediabrowser_3.0.5424.2_all.deb

  • Like 1
Link to comment
Share on other sites

You are using the wrong link, resources is the old distribution channel.

 

https://github.com/MediaBrowser/MediaBrowser.Releases/tree/master/Server

 

Also feel free to use the following ppas:

 

You can add them to your sources list:

https://launchpad.net/~apps-z/+archive/ubuntu/mediabrowser-daily

 

or 

 

https://launchpad.net/~apps-z/+archive/ubuntu/mediabrowser

 

You can also just download the debs directly from the launchpad website. I would go with github and version 

mediabrowser_3.0.5424.2_all.deb

thanks but when I try i get this:

 

https://github.com/MediaBrowser/MediaBrowser.Releases/blob/master/Server/mediabrowser.deb

sudo dpkg -i mediabrowser.deb 
dpkg-deb: error: `mediabrowser.deb' is not a debian format archive
dpkg: error processing mediabrowser.deb (--install):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 mediabrowser.deb
 
 
or 
 
dpkg -i mediabrowser_3.0.5424.2_all.deb 
dpkg-deb: error: `mediabrowser_3.0.5424.2_all.deb' is not a debian format archive
dpkg: error processing mediabrowser_3.0.5424.2_all.deb (--install):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 mediabrowser_3.0.5424.2_all.deb
 
Link to comment
Share on other sites

hurricanehrndz

 

thanks but when I try i get this:

 

https://github.com/MediaBrowser/MediaBrowser.Releases/blob/master/Server/mediabrowser.deb

sudo dpkg -i mediabrowser.deb 
dpkg-deb: error: `mediabrowser.deb' is not a debian format archive
dpkg: error processing mediabrowser.deb (--install):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 mediabrowser.deb
 
 
or 
 
dpkg -i mediabrowser_3.0.5424.2_all.deb 
dpkg-deb: error: `mediabrowser_3.0.5424.2_all.deb' is not a debian format archive
dpkg: error processing mediabrowser_3.0.5424.2_all.deb (--install):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 mediabrowser_3.0.5424.2_all.deb
 

 

Wow that is strange. I did start to build the debs in trusty and officially we only support trusty and up. I would say use Docker.

Edited by hurricanehernandez
Link to comment
Share on other sites

hurricanehrndz

That's a good question. I want to test it out myself and do more research. There is nothing really different, between the packing of Trusty and precise, the only real difference is the tools that do the packaging. I will do some research and get back to you.

Link to comment
Share on other sites

Ok his download is more than likely corrupt. How did you download the debs?

Tried two ways: with wget and just right clicked the link and 'save as'. the deb file should at least work so I believe this is the problem:

dpkg-deb: error: `mediabrowser.deb' is not a debian format archive

or did i download it in a wrong way?

Link to comment
Share on other sites

hurricanehrndz

Tried two ways: with wget and just right clicked the link and 'save as'. the deb file should at least work so I believe this is the problem:

dpkg-deb: error: `mediabrowser.deb' is not a debian format archive

or did i download it in a wrong way?

I think so. What's the size of the file?

 

The md5 checksum should be this:4770e84a25701aed8c6d5c97bd35e54b

Edited by hurricanehernandez
Link to comment
Share on other sites

I think so. What's the size of the file?

 

The md5 checksum should be this:4770e84a25701aed8c6d5c97bd35e54b

thanks for the checksum. For some reason i kept on getting corrupt downloads. I tried from two different machines multiple times, kinda weird, anyhow now I got the right one and tried installing but indeed Luke was right to ask as it does not support precise:

 
dpkg -i mediabrowser_3.0.5424.2_all.deb 
Selecting previously unselected package mediabrowser.
(Reading database ... 579011 files and directories currently installed.)
Unpacking mediabrowser (from mediabrowser_3.0.5424.2_all.deb) ...
dpkg: dependency problems prevent configuration of mediabrowser:
 mediabrowser depends on libc6 (>= 2.19) | libc6.1 (>= 2.19) | libc0.1 (>= 2.19); however:
  Version of libc6 on system is 2.15-0ubuntu10.7.
  Package libc6.1 is not installed.
  Package libc0.1 is not installed.
dpkg: error processing mediabrowser (--install):
 dependency problems - leaving unconfigured
Processing triggers for ureadahead ...
Errors were encountered while processing:
 mediabrowser
 
Guess I'll have to update my system first...
Edited by jody
Link to comment
Share on other sites

  • Solution

I have decided not yet to upgrade my server OS as it would be a major upgrade. Instead I installed a virtual machine with a new from scratch install of arch, installed the mb3 from the AUR as indicated from the download page. 

Worked all fine, I have now mb3 Version 3.0.5424.1 running in a virtual machine. Added one folder which it manage to complete to scan to library/metadata, then I added a bunch of other folders for it to scan, which is running now.

Link to comment
Share on other sites

hurricanehrndz

I have decided not yet to upgrade my server OS as it would be a major upgrade. Instead I installed a virtual machine with a new from scratch install of arch, installed the mb3 from the AUR as indicated from the download page. 

Worked all fine, I have now mb3 Version 3.0.5424.1 running in a virtual machine. Added one folder which it manage to complete to scan to library/metadata, then I added a bunch of other folders for it to scan, which is running now.

Jody,

 

Why a virutal machine rather than docker?

  • Like 1
Link to comment
Share on other sites

Jody,

 

Why a virutal machine rather than docker?

I have trust issues with docker :rolleyes: not using it at all, though I know a lot of ppl are very positive about it. Secondly, my server has enough and the right hardware resources to run  one more VM, and I wanted to install another arch anyhow to play around, btw u guys should open a channel on irc freenode as well, i was looking for suggestion thread but couldn't find one

Link to comment
Share on other sites

hurricanehrndz

I have trust issues with docker :rolleyes: not using it at all, though I know a lot of ppl are very positive about it. Secondly, my server has enough and the right hardware resources to run  one more VM, and I wanted to install another arch anyhow to play around, btw u guys should open a channel on irc freenode as well, i was looking for suggestion thread but couldn't find one

I totally agree with you on the irc.

  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...